# UniTAP.common.video_mode

class VideoMode:

Class `VideoMode` combines information about `Timing` and `ColorInfo`.

VideoMode( timing: UniTAP.common.timing.Timing = < UniTAP.common.timing.Timing object>, color_info: UniTAP.common.color_info.ColorInfo = < UniTAP.common.color_info.ColorInfo object>)
timing
color_info
def is_valid(self) -> bool:

Check that `Timing` and `ColorInfo` of Video mode is valid.

###### Returns:

> object of bool type - Video mode valid or not

bit_rate: float

Returns calculated bit rate required for this video mode in Gbps. 0 if video mode is not valid

###### Returns:

> object of float type